Error with the new launcher